\name{partitions-package}
\alias{partitions-package}
\alias{partitions}
\docType{package}
\title{
Integer partitions
}
\description{
Routines to enumerate all partitions of an integer; includes restricted
and unequal partitions.
}
\details{
\tabular{ll}{
Package: \tab partitions\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2006-03-14\cr
License: \tab GPL\cr
}

This tiny package comprises six functions: \code{P()}, \code{Q()}, and
\code{R()} give the number of partitions, unequal partitions, and
restricted partitions of an integer.

Functions \code{parts()}, \code{diffparts()}, and
\code{restrictedparts()} enumerate these partitions.
}
\author{Robin K. S. Hankin}
\references{
G. E. Andrews. \dQuote{The Theory of Partitions},
Cambridge University Press, 1998

M. Abramowitz and I. A. Stegun.  \dQuote{Handbook of Mathematical
Functions}, New York: Dover, 1965

}
\keyword{package}
\examples{
 parts(5)
 diffparts(9)
 restrictedparts(10,15)
 P(10,give=TRUE)
 Q(10,give=TRUE)
 R(5,10)
}
