library(partitions)

# a little function for equality:
minmax <- function(x){all.equal(min(x), max(x))}

# size of tests:
N <- 20


#first check that the parts sum correctly:

f <- function(n){
  if (length(n) > 1) {
    return(sapply(n, match.fun(sys.call()[[1]])))
  }
  minmax(apply(parts(n),2,sum)) &
  minmax(apply(diffparts(n),2,sum))
}

stopifnot(all(f(1:N)))          
  

# now check that parts() has rep(1,n) as the last partition:
g <- function(n){
  if (length(n) > 1) {
    return(sapply(n, match.fun(sys.call()[[1]])))
  }
  jj <- parts(n)
  minmax(c(1,jj[,ncol(jj)]))
}

stopifnot(all(g(1:N)))

# now some spot checks:

# Andrews, page232:
stopifnot(all.equal(R(5,12), 13))

# a couple of values taken from A&S, table 21.5, page 836:
stopifnot(all.equal(P(100), 190569292))
stopifnot(all.equal(Q(100), 444793))

